Skip to content

RippleNet Server API (4.0.0)

The RippleNet Server API provides you the ability to develop custom applications to manage or interact with your RippleNet instance.

Check out the best practices and tutorials.

Authentication

All API operations require a bearer access token for your target environment.<br>Learn how to request the access token.

API environments

The RippleNet Server API creates a dynamic [domainPrefix] that consists of {tenant}.{environment}.

Note: This example uses aperture as the tenant. Your tenant ID is different.

EnvironmentDomaing PrefixDomainBase URL
Testaperture.testripplexcurrent.comhttps://aperture.test.ripplexcurrent.com
UATaperture.uatripplexcurrent.comhttps://aperture.uat.ripplexcurrent.com
Productionaperture.prodripplexcurrent.comhttps://aperture.prod.ripplexcurrent.com
Languages
Servers
Mock server

https://docs.ripple.com/_mock/products/payments-odl/api-docs/ripplenet/ripplenet/

https://[domainPrefix].ripplexcurrent.com/v4/

Account configuration

Operations

Auditing

Operations

Balances and statements

Operations

Beneficiary confirmation

Operations

Diagnostics

Operations

Exchange transfers

Operations

Fees

Operations

Liquidation configuration

Operations

Non-orchestration payments

Operations

Notifications

Operations

ODL flags configuration

Operations

Orchestration payments

Operations

Payment expiration

Operations

Payout method

Operations

Platform accounts

Operations

Pool accounts

Operations

Quote expiration

Operations

Quotes

Operations

Rates

Operations

Request for payment

Operations

Get requests for payment

Request

Gets requests for payment that match the query parameters.

Security
Bearer
Query
end_to_end_idstring

Optional parameter to filter results matching this endToEndId value.

statestring

State by which to filter results.

Enum"REQUESTED""ACCEPTED""FAILED"
sender_addressstring

Field to filter results matching this senderAddress value.

receiver_addressstring

Field to filter results matching this receiverAddress value.

payment_idstring(uuid)

Field to filter results matching this paymentId value.

beforestring

Filters for requests for payment whose range_field column value is before this specified time stamp (not inclusive). You can also specify after to create a time range between after and before. If before is specified, range_field must also be specified

afterstring

Filters for requests for payment whose range_field column value is after this specified time stamp (not inclusive). You can also specify before to create a time range between after and before. If after is specified, range_field must also be specified.

range_fieldstring

Designates the column name of the requests for payment database table that is used for filtering payments before/after/between time stamps. For example, if you specify range_field=MODIFIED_AT, you would specify a time stamp (in the 24 character ISO 8601 YYYY-MM-DDTHH:mm:ss.sssZ format used in request for payment objects) as the value for before and/or after to fetch request for payment before, after, or between the specified time range(s) (not inclusive). If range_field is specified, before and/or after must also be specified.

Enum"CREATED_AT""MODIFIED_AT"
sort_fieldstring

Field to use to sort results.

Enum"CREATED_AT""MODIFIED_AT"
sort_directionstring

Sorts result according to the specified direction.

Default "DESC"
Enum"ASC""DESC"
pageinteger

Zero-based index of the page number of results.

Default 0
sizeinteger

The number of payments per page.

Default 10
curl -i -X GET \
  'https://docs.ripple.com/_mock/products/payments-odl/api-docs/ripplenet/ripplenet/request_for_payment?end_to_end_id=string&state=REQUESTED&sender_address=string&receiver_address=string&payment_id=497f6eca-6276-4993-bfeb-53cbbbba6f08&before=string&after=string&range_field=CREATED_AT&sort_field=CREATED_AT&sort_direction=ASC&page=0&size=10' \
  -H 'Authorization: YOUR_API_KEY_HERE'

Responses

Successfully retrieves requests for payment matching query parameters.

Bodyapplication/json
firstboolean

true if this is the first page.

lastboolean

true if this is the last page.

numberinteger

page number

numberOfElementsinteger

Number Of elements in this request

sizeinteger

page size

totalElementsinteger(int64)

Total number of elements for the given request

totalPagesinteger

Total number of pages for the given request

sortArray of objects

Sort details of this page

directionstring

Direction of the sort

Example: "ASC"
propertystring
ignoreCaseboolean
nullHandlingstring
Example: "NULLS_FIRST"
ascendingboolean
Example: true
descendingboolean
Example: false
contentArray of objects
request_for_payment_idstring(uuid)required

Unique identifier of a request for payment.

Example: "1bf93760-ef69-4697-b2b4-47d9e1c42aa7"
request_for_payment_statestringrequired

State of the request for payment.

Enum"REQUESTED""ACCEPTED""FAILED"
Example: "REQUESTED"
sender_addressstringrequired

RippleNet address of the node that is receiving the request for payment, or the eventual sender of the payment.

Example: "trans_usd_sf@rn.us.ca.san_francisco"
receiver_addressstringrequired

RippleNet address of the node that is sending the request for payment, or the eventual receiver of the payment.

Example: "trans_gbp_lon@rn.eur.uk.london"
amountnumberrequired

Amount requested to be paid.

Example: 100.01
currencystringrequired

Currency code for the amount value.

Example: "USD"
quote_typestringrequired

Indicates how the amount field should be treated for calculating quote values.

Enum"SENDER_AMOUNT""RECEIVER_AMOUNT""SENDER_INSTITUTION_AMOUNT""RECEIVER_INSTITUTION_AMOUNT"
Example: "SENDER_AMOUNT"
end_to_end_idstring

ID that the eventual payment receiver can specify. Persisted on all rippleNet Node instances (namely, the sender and receiver of the payment) that participate in the request for payment.

user_infoArray of objectsrequired

User-provided data with arbitrary key/value pairs.

node_addressstringrequired

RippleNet address of the node that provided the user information.

requestedArray of objects

User information optionally provided when sending the request for payment.

jsonobjectrequired

User information provided across the payment lifecycle stored as arbitrary JSON key/value pairs.

created_atstring(date-time)required

Date and time at which the user information was added to the payment, as an ISO-8601 timestamp in UTC.

subStatestring

If provided, this parameter descibes payment state more granularly.

Example: "EXECUTING"
acceptedArray of objects

User information optionally provided when accepting the request for payment.

jsonobjectrequired

User information provided across the payment lifecycle stored as arbitrary JSON key/value pairs.

created_atstring(date-time)required

Date and time at which the user information was added to the payment, as an ISO-8601 timestamp in UTC.

subStatestring

If provided, this parameter descibes payment state more granularly.

Example: "EXECUTING"
failedArray of objects

User information optionally provided when failing the request payment.

jsonobjectrequired

User information provided across the payment lifecycle stored as arbitrary JSON key/value pairs.

created_atstring(date-time)required

Date and time at which the user information was added to the payment, as an ISO-8601 timestamp in UTC.

subStatestring

If provided, this parameter descibes payment state more granularly.

Example: "EXECUTING"
created_atstring(date-time)required

Date and time at which the request for payment was created, as an ISO-8601 timestamp in UTC.

payment_idstring(uuid)

Unique identifier of a payment associated to request for payment.

Example: "5492648d-2132-4e70-9ded-2fc86f22b321"
Response
application/json
{ "first": true, "last": true, "number": 0, "numberOfElements": 0, "size": 0, "totalElements": 0, "totalPages": 0, "sort": [ {} ], "content": [ {} ] }

Send request for payment

Request

Sends a new request for payment.

Security
Bearer
Bodyapplication/jsonrequired

The request object to initiate a new request for payment.

sender_addressstringrequired

RippleNet address of the node that is receiving the request for payment, or the eventual sender of the payment.

Example: "trans_usd_sf@rn.us.ca.san_francisco"
receiver_addressstringrequired

RippleNet address of the node that is sending the request for payment, or the eventual receiver of the payment.

Example: "trans_gbp_lon@rn.eur.uk.london"
amountnumberrequired

Amount requested to be paid.

Example: 100.01
currencystringrequired

Currency code for the amount value.

Example: "USD"
quote_typestringrequired

Indicates how the amount field should be treated for calculating quote values.

Enum"SENDER_AMOUNT""RECEIVER_AMOUNT""SENDER_INSTITUTION_AMOUNT""RECEIVER_INSTITUTION_AMOUNT"
Example: "SENDER_AMOUNT"
end_to_end_idstring

ID that the eventual payment receiver can specify. Persisted on all rippleNet node instances (namely, the sender and receiver of the payment) that participate in the request for payment.

user_infoobject

User-provided data with arbitrary key/value pairs.

curl -i -X POST \
  https://docs.ripple.com/_mock/products/payments-odl/api-docs/ripplenet/ripplenet/request_for_payment \
  -H 'Authorization: YOUR_API_KEY_HERE' \
  -H 'Content-Type: application/json' \
  -d '{
    "sender_address": "trans_usd_sf@rn.us.ca.san_francisco",
    "receiver_address": "trans_gbp_lon@rn.eur.uk.london",
    "amount": 100.01,
    "currency": "USD",
    "quote_type": "SENDER_AMOUNT",
    "end_to_end_id": "string",
    "user_info": {}
  }'

Responses

Successfully sent a request for payment resulting in a request for payment object in the REQUESTED state.

Bodyapplication/json
request_for_payment_idstring(uuid)required

Unique identifier of a request for payment.

Example: "1bf93760-ef69-4697-b2b4-47d9e1c42aa7"
request_for_payment_statestringrequired

State of the request for payment.

Enum"REQUESTED""ACCEPTED""FAILED"
Example: "REQUESTED"
sender_addressstringrequired

RippleNet address of the node that is receiving the request for payment, or the eventual sender of the payment.

Example: "trans_usd_sf@rn.us.ca.san_francisco"
receiver_addressstringrequired

RippleNet address of the node that is sending the request for payment, or the eventual receiver of the payment.

Example: "trans_gbp_lon@rn.eur.uk.london"
amountnumberrequired

Amount requested to be paid.

Example: 100.01
currencystringrequired

Currency code for the amount value.

Example: "USD"
quote_typestringrequired

Indicates how the amount field should be treated for calculating quote values.

Enum"SENDER_AMOUNT""RECEIVER_AMOUNT""SENDER_INSTITUTION_AMOUNT""RECEIVER_INSTITUTION_AMOUNT"
Example: "SENDER_AMOUNT"
end_to_end_idstring

ID that the eventual payment receiver can specify. Persisted on all rippleNet Node instances (namely, the sender and receiver of the payment) that participate in the request for payment.

user_infoArray of objectsrequired

User-provided data with arbitrary key/value pairs.

node_addressstringrequired

RippleNet address of the node that provided the user information.

requestedArray of objects

User information optionally provided when sending the request for payment.

jsonobjectrequired

User information provided across the payment lifecycle stored as arbitrary JSON key/value pairs.

created_atstring(date-time)required

Date and time at which the user information was added to the payment, as an ISO-8601 timestamp in UTC.

subStatestring

If provided, this parameter descibes payment state more granularly.

Example: "EXECUTING"
acceptedArray of objects

User information optionally provided when accepting the request for payment.

jsonobjectrequired

User information provided across the payment lifecycle stored as arbitrary JSON key/value pairs.

created_atstring(date-time)required

Date and time at which the user information was added to the payment, as an ISO-8601 timestamp in UTC.

subStatestring

If provided, this parameter descibes payment state more granularly.

Example: "EXECUTING"
failedArray of objects

User information optionally provided when failing the request payment.

jsonobjectrequired

User information provided across the payment lifecycle stored as arbitrary JSON key/value pairs.

created_atstring(date-time)required

Date and time at which the user information was added to the payment, as an ISO-8601 timestamp in UTC.

subStatestring

If provided, this parameter descibes payment state more granularly.

Example: "EXECUTING"
created_atstring(date-time)required

Date and time at which the request for payment was created, as an ISO-8601 timestamp in UTC.

payment_idstring(uuid)

Unique identifier of a payment associated to request for payment.

Example: "5492648d-2132-4e70-9ded-2fc86f22b321"
Response
application/json
{ "request_for_payment_id": "1bf93760-ef69-4697-b2b4-47d9e1c42aa7", "request_for_payment_state": "REQUESTED", "sender_address": "trans_usd_sf@rn.us.ca.san_francisco", "receiver_address": "trans_gbp_lon@rn.eur.uk.london", "amount": 100.01, "currency": "USD", "quote_type": "SENDER_AMOUNT", "end_to_end_id": "string", "user_info": [ {} ], "created_at": "2019-08-24T14:15:22Z", "payment_id": "5492648d-2132-4e70-9ded-2fc86f22b321" }

Get request for payment by ID

Request

Gets a request for payment by request for payment ID.

Security
Bearer
Path
request_for_payment_idstring(uuid)required

Unique identifier of the request for payment to retrieve.

curl -i -X GET \
  'https://docs.ripple.com/_mock/products/payments-odl/api-docs/ripplenet/ripplenet/request_for_payment/{request_for_payment_id}' \
  -H 'Authorization: YOUR_API_KEY_HERE'

Responses

Successfully retrieves a request for payment by its ID.

Bodyapplication/json
request_for_payment_idstring(uuid)required

Unique identifier of a request for payment.

Example: "1bf93760-ef69-4697-b2b4-47d9e1c42aa7"
request_for_payment_statestringrequired

State of the request for payment.

Enum"REQUESTED""ACCEPTED""FAILED"
Example: "REQUESTED"
sender_addressstringrequired

RippleNet address of the node that is receiving the request for payment, or the eventual sender of the payment.

Example: "trans_usd_sf@rn.us.ca.san_francisco"
receiver_addressstringrequired

RippleNet address of the node that is sending the request for payment, or the eventual receiver of the payment.

Example: "trans_gbp_lon@rn.eur.uk.london"
amountnumberrequired

Amount requested to be paid.

Example: 100.01
currencystringrequired

Currency code for the amount value.

Example: "USD"
quote_typestringrequired

Indicates how the amount field should be treated for calculating quote values.

Enum"SENDER_AMOUNT""RECEIVER_AMOUNT""SENDER_INSTITUTION_AMOUNT""RECEIVER_INSTITUTION_AMOUNT"
Example: "SENDER_AMOUNT"
end_to_end_idstring

ID that the eventual payment receiver can specify. Persisted on all rippleNet Node instances (namely, the sender and receiver of the payment) that participate in the request for payment.

user_infoArray of objectsrequired

User-provided data with arbitrary key/value pairs.

node_addressstringrequired

RippleNet address of the node that provided the user information.

requestedArray of objects

User information optionally provided when sending the request for payment.

jsonobjectrequired

User information provided across the payment lifecycle stored as arbitrary JSON key/value pairs.

created_atstring(date-time)required

Date and time at which the user information was added to the payment, as an ISO-8601 timestamp in UTC.

subStatestring

If provided, this parameter descibes payment state more granularly.

Example: "EXECUTING"
acceptedArray of objects

User information optionally provided when accepting the request for payment.

jsonobjectrequired

User information provided across the payment lifecycle stored as arbitrary JSON key/value pairs.

created_atstring(date-time)required

Date and time at which the user information was added to the payment, as an ISO-8601 timestamp in UTC.

subStatestring

If provided, this parameter descibes payment state more granularly.

Example: "EXECUTING"
failedArray of objects

User information optionally provided when failing the request payment.

jsonobjectrequired

User information provided across the payment lifecycle stored as arbitrary JSON key/value pairs.

created_atstring(date-time)required

Date and time at which the user information was added to the payment, as an ISO-8601 timestamp in UTC.

subStatestring

If provided, this parameter descibes payment state more granularly.

Example: "EXECUTING"
created_atstring(date-time)required

Date and time at which the request for payment was created, as an ISO-8601 timestamp in UTC.

payment_idstring(uuid)

Unique identifier of a payment associated to request for payment.

Example: "5492648d-2132-4e70-9ded-2fc86f22b321"
Response
application/json
{ "request_for_payment_id": "1bf93760-ef69-4697-b2b4-47d9e1c42aa7", "request_for_payment_state": "REQUESTED", "sender_address": "trans_usd_sf@rn.us.ca.san_francisco", "receiver_address": "trans_gbp_lon@rn.eur.uk.london", "amount": 100.01, "currency": "USD", "quote_type": "SENDER_AMOUNT", "end_to_end_id": "string", "user_info": [ {} ], "created_at": "2019-08-24T14:15:22Z", "payment_id": "5492648d-2132-4e70-9ded-2fc86f22b321" }

Accept request for payment

Request

Accepts a request for payment.

Security
Bearer
Path
request_for_payment_idstring(uuid)required

Unique identifier of the request for payment to accept.

Bodyapplication/jsonrequired

The request object to accept a request for payment.

payment_idstring(uuid)required

Unique identifier of payment associated with the request for payment.

Example: "1bf93760-ef69-4697-b2b4-47d9e1c42aa7"
user_infoobject

User-provided data with arbitrary key/value pairs.

curl -i -X POST \
  'https://docs.ripple.com/_mock/products/payments-odl/api-docs/ripplenet/ripplenet/request_for_payment/{request_for_payment_id}/accept' \
  -H 'Authorization: YOUR_API_KEY_HERE' \
  -H 'Content-Type: application/json' \
  -d '{
    "payment_id": "1bf93760-ef69-4697-b2b4-47d9e1c42aa7",
    "user_info": {}
  }'

Responses

Successfully accepts a request for payment resulting in a request for payment object in the ACCEPTED state.

Bodyapplication/json
request_for_payment_idstring(uuid)required

Unique identifier of a request for payment.

Example: "1bf93760-ef69-4697-b2b4-47d9e1c42aa7"
request_for_payment_statestringrequired

State of the request for payment.

Enum"REQUESTED""ACCEPTED""FAILED"
Example: "REQUESTED"
sender_addressstringrequired

RippleNet address of the node that is receiving the request for payment, or the eventual sender of the payment.

Example: "trans_usd_sf@rn.us.ca.san_francisco"
receiver_addressstringrequired

RippleNet address of the node that is sending the request for payment, or the eventual receiver of the payment.

Example: "trans_gbp_lon@rn.eur.uk.london"
amountnumberrequired

Amount requested to be paid.

Example: 100.01
currencystringrequired

Currency code for the amount value.

Example: "USD"
quote_typestringrequired

Indicates how the amount field should be treated for calculating quote values.

Enum"SENDER_AMOUNT""RECEIVER_AMOUNT""SENDER_INSTITUTION_AMOUNT""RECEIVER_INSTITUTION_AMOUNT"
Example: "SENDER_AMOUNT"
end_to_end_idstring

ID that the eventual payment receiver can specify. Persisted on all rippleNet Node instances (namely, the sender and receiver of the payment) that participate in the request for payment.

user_infoArray of objectsrequired

User-provided data with arbitrary key/value pairs.

node_addressstringrequired

RippleNet address of the node that provided the user information.

requestedArray of objects

User information optionally provided when sending the request for payment.

jsonobjectrequired

User information provided across the payment lifecycle stored as arbitrary JSON key/value pairs.

created_atstring(date-time)required

Date and time at which the user information was added to the payment, as an ISO-8601 timestamp in UTC.

subStatestring

If provided, this parameter descibes payment state more granularly.

Example: "EXECUTING"
acceptedArray of objects

User information optionally provided when accepting the request for payment.

jsonobjectrequired

User information provided across the payment lifecycle stored as arbitrary JSON key/value pairs.

created_atstring(date-time)required

Date and time at which the user information was added to the payment, as an ISO-8601 timestamp in UTC.

subStatestring

If provided, this parameter descibes payment state more granularly.

Example: "EXECUTING"
failedArray of objects

User information optionally provided when failing the request payment.

jsonobjectrequired

User information provided across the payment lifecycle stored as arbitrary JSON key/value pairs.

created_atstring(date-time)required

Date and time at which the user information was added to the payment, as an ISO-8601 timestamp in UTC.

subStatestring

If provided, this parameter descibes payment state more granularly.

Example: "EXECUTING"
created_atstring(date-time)required

Date and time at which the request for payment was created, as an ISO-8601 timestamp in UTC.

payment_idstring(uuid)

Unique identifier of a payment associated to request for payment.

Example: "5492648d-2132-4e70-9ded-2fc86f22b321"
Response
application/json
{ "request_for_payment_id": "1bf93760-ef69-4697-b2b4-47d9e1c42aa7", "request_for_payment_state": "REQUESTED", "sender_address": "trans_usd_sf@rn.us.ca.san_francisco", "receiver_address": "trans_gbp_lon@rn.eur.uk.london", "amount": 100.01, "currency": "USD", "quote_type": "SENDER_AMOUNT", "end_to_end_id": "string", "user_info": [ {} ], "created_at": "2019-08-24T14:15:22Z", "payment_id": "5492648d-2132-4e70-9ded-2fc86f22b321" }

Fail request for payment

Request

Fails a request for payment.

Security
Bearer
Path
request_for_payment_idstring(uuid)required

Unique identifier of the request for payment to fail.

Bodyapplication/jsonrequired

The request object to fail a request for payment.

user_infoobject

User-provided data with arbitrary key/value pairs.

curl -i -X POST \
  'https://docs.ripple.com/_mock/products/payments-odl/api-docs/ripplenet/ripplenet/request_for_payment/{request_for_payment_id}/fail' \
  -H 'Authorization: YOUR_API_KEY_HERE' \
  -H 'Content-Type: application/json' \
  -d '{
    "user_info": {}
  }'

Responses

Successfully fails a request for payment resulting in a request for payment object in the FAILED state.

Bodyapplication/json
request_for_payment_idstring(uuid)required

Unique identifier of a request for payment.

Example: "1bf93760-ef69-4697-b2b4-47d9e1c42aa7"
request_for_payment_statestringrequired

State of the request for payment.

Enum"REQUESTED""ACCEPTED""FAILED"
Example: "REQUESTED"
sender_addressstringrequired

RippleNet address of the node that is receiving the request for payment, or the eventual sender of the payment.

Example: "trans_usd_sf@rn.us.ca.san_francisco"
receiver_addressstringrequired

RippleNet address of the node that is sending the request for payment, or the eventual receiver of the payment.

Example: "trans_gbp_lon@rn.eur.uk.london"
amountnumberrequired

Amount requested to be paid.

Example: 100.01
currencystringrequired

Currency code for the amount value.

Example: "USD"
quote_typestringrequired

Indicates how the amount field should be treated for calculating quote values.

Enum"SENDER_AMOUNT""RECEIVER_AMOUNT""SENDER_INSTITUTION_AMOUNT""RECEIVER_INSTITUTION_AMOUNT"
Example: "SENDER_AMOUNT"
end_to_end_idstring

ID that the eventual payment receiver can specify. Persisted on all rippleNet Node instances (namely, the sender and receiver of the payment) that participate in the request for payment.

user_infoArray of objectsrequired

User-provided data with arbitrary key/value pairs.

node_addressstringrequired

RippleNet address of the node that provided the user information.

requestedArray of objects

User information optionally provided when sending the request for payment.

jsonobjectrequired

User information provided across the payment lifecycle stored as arbitrary JSON key/value pairs.

created_atstring(date-time)required

Date and time at which the user information was added to the payment, as an ISO-8601 timestamp in UTC.

subStatestring

If provided, this parameter descibes payment state more granularly.

Example: "EXECUTING"
acceptedArray of objects

User information optionally provided when accepting the request for payment.

jsonobjectrequired

User information provided across the payment lifecycle stored as arbitrary JSON key/value pairs.

created_atstring(date-time)required

Date and time at which the user information was added to the payment, as an ISO-8601 timestamp in UTC.

subStatestring

If provided, this parameter descibes payment state more granularly.

Example: "EXECUTING"
failedArray of objects

User information optionally provided when failing the request payment.

jsonobjectrequired

User information provided across the payment lifecycle stored as arbitrary JSON key/value pairs.

created_atstring(date-time)required

Date and time at which the user information was added to the payment, as an ISO-8601 timestamp in UTC.

subStatestring

If provided, this parameter descibes payment state more granularly.

Example: "EXECUTING"
created_atstring(date-time)required

Date and time at which the request for payment was created, as an ISO-8601 timestamp in UTC.

payment_idstring(uuid)

Unique identifier of a payment associated to request for payment.

Example: "5492648d-2132-4e70-9ded-2fc86f22b321"
Response
application/json
{ "request_for_payment_id": "1bf93760-ef69-4697-b2b4-47d9e1c42aa7", "request_for_payment_state": "REQUESTED", "sender_address": "trans_usd_sf@rn.us.ca.san_francisco", "receiver_address": "trans_gbp_lon@rn.eur.uk.london", "amount": 100.01, "currency": "USD", "quote_type": "SENDER_AMOUNT", "end_to_end_id": "string", "user_info": [ {} ], "created_at": "2019-08-24T14:15:22Z", "payment_id": "5492648d-2132-4e70-9ded-2fc86f22b321" }

Sender segregated account configuration

Operations

Transfers

Operations

schema

Operations

activity

Operations

Orchestration Template

Operations

diagnostics

Operations

payment

Operations

Get application info

Request

Gets application information.

Security
Bearer
curl -i -X GET \
  https://docs.ripple.com/_mock/products/payments-odl/api-docs/ripplenet/ripplenet/v4/orchestration/info \
  -H 'Authorization: YOUR_API_KEY_HERE'

Responses

Successfully fetched application info.

Bodyapplication/json
namestring

Application name.

Example: "Integration Module"
versionstring

Application version.

Example: "1.2.0"
Response
application/json
{ "name": "Integration Module", "version": "1.2.0" }

tenant

Operations

Orchestration internal action

Operations

Orchestration internal payments

Operations

Orchestration internal notifications

Operations